> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/51.-dotaz-ziskani-rastrovych-dat-z-vynosoveho-datasetu.md).

# 51. Dotaz: Získání rastrových dat z „výnosového datasetu“

Dotaz pro získání rastrálních (mřížkových) dat z datasetu „YieldDataset“ jako `GEOJSON`  s body nebo `GEOTIFF`.Atribut properties obsahuje všechny atributy datasetu pro každý bod.&#x20;

#### 1. Požádejte o soubor k exportu

{% hint style="danger" %}
Doporučuje se načítat pouze jednu sadu dat s `sourceDataUrl` na jeden požadavek.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, a `MinusTwoPixels` jsou dostupné jako `vyrovnávací pásmo`.

`GEOJSON` a `GEOTIFF` jsou dostupné jako formát.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Stáhněte vygenerovaný soubor

Po úspěšném připravení souboru je možné ho stáhnout pomocí `curl` nebo podobným způsobem.

{% hint style="danger" %}
`sourceDataUrl` odkaz je přístupný pouze **60 s.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/51.-dotaz-ziskani-rastrovych-dat-z-vynosoveho-datasetu.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
